Bug 1504209 - Create and Restore from Backup missing from list of Cloud Volumes [NEEDINFO]
Summary: Create and Restore from Backup missing from list of Cloud Volumes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Scott Seago
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-19 17:30 UTC by Petr Blaho
Modified: 2019-02-07 23:00 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:32 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:
dajohnso: needinfo? (pblaho)


Attachments (Terms of Use)
List of Volumes with Configuration button menu items (108.80 KB, image/png)
2017-10-19 17:31 UTC, Petr Blaho
no flags Details
Detail of Volume with Configuration button menu items (109.16 KB, image/png)
2017-10-19 17:32 UTC, Petr Blaho
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:38 UTC

Description Petr Blaho 2017-10-19 17:30:09 UTC
Description of problem:

Create and Restore from Backup actions are missing from the list of Cloud Volumes when I select a volume and then click on Configuration button.

I can see these actions on detail of cloud volume when I clock on Configuration button.

Tested with OpenStack providers.


Version-Release number of selected component (if applicable):

current upstream master


How reproducible:


Steps to Reproduce:
1. Have an OpenStack provider with Storage provider - Cinder and some Volumes there
2. Go to Storage > Block Storage > Volumes
3. Check one of Volumes
4. Click on Configuration button

Actual results:

Few actions for managing volumes can be seen in the menu but no "Create a Backup from this Cloud Volume" and "Restore from a Backup of this Cloud Volume". Not even greyed out us unavailable.

Expected results:

"Create a Backup from this Cloud Volume" and "Restore from a Backup of this Cloud Volume" actions should be present in the similar fashion as others are present. These actions can be found from detail page of Cloud Volume after clicking on Configuration button.


Additional info:

Comment 2 Petr Blaho 2017-10-19 17:31:26 UTC
Created attachment 1340851 [details]
List of Volumes with Configuration button menu items

Screenshot of current situation.

Comment 3 Petr Blaho 2017-10-19 17:32:08 UTC
Created attachment 1340852 [details]
Detail of Volume with Configuration button menu items

Screenshot of current situation in detail page.

Comment 4 Dave Johnson 2017-10-19 17:44:42 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 7 CFME Bot 2018-05-14 08:38:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/fc3e5b4f2a8f61793304d98b286ec548dc57aca3
commit fc3e5b4f2a8f61793304d98b286ec548dc57aca3
Author:     Scott Seago <sseago@redhat.com>
AuthorDate: Thu May 10 23:27:56 2018 -0400
Commit:     Scott Seago <sseago@redhat.com>
CommitDate: Thu May 10 23:27:56 2018 -0400

    BZ1504209: Add backup create/restore to volume list actions

    https://bugzilla.redhat.com/show_bug.cgi?id=1504209

    Create backup and restore from backup actions were missing from the
    volume list page. They were already on the detail/view page.

    This commit adds them.

 app/helpers/application_helper/toolbar/cloud_volumes_center.rb | 20 +
 1 file changed, 20 insertions(+)

Comment 8 Jad Haj Yahya 2018-07-08 10:56:21 UTC
Verified on 5.10.0.3

Comment 9 errata-xmlrpc 2019-02-07 23:00:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.